<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/"
    xmlns="http://www.tourinfrance.net/Tourinfrance3/" exclude-result-prefixes="#default dc dcterms sy tif">
    <!--  
    Exemple de feuille de style pour générer une fiche XHTML à partir d'un Objet Touristique
    Norme TourinFrance
    Version 3.11
    Copyright © - TourinFrance
    -->
    <xsl:output method="xml" omit-xml-declaration="no" indent="yes" encoding="UTF-8"
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
    <!-- -->
    <xsl:preserve-space elements="*"/>
    <!--
    ========== Librairie par granules ========== 
    -->
    <xsl:include href="Lib/HTML000.xsl"/>
    <xsl:include href="Lib/HTML010.xsl"/>
    <xsl:include href="Lib/HTML020.xsl"/>
    <xsl:include href="Lib/HTML030.xsl"/>
    <xsl:include href="Lib/HTML040.xsl"/>
    <xsl:include href="Lib/HTML050.xsl"/>
    <xsl:include href="Lib/HTML060.xsl"/>
    <xsl:include href="Lib/HTML070.xsl"/>
    <xsl:include href="Lib/HTML080.xsl"/>
    <xsl:include href="Lib/HTML090.xsl"/>
    <xsl:include href="Lib/HTML100.xsl"/>
    <xsl:include href="Lib/HTML110.xsl"/>
    <xsl:include href="Lib/HTML120.xsl"/>
    <xsl:include href="Lib/HTML130.xsl"/>
    <xsl:include href="Lib/HTML140.xsl"/>
    <xsl:include href="Lib/HTML150.xsl"/>
    <xsl:include href="Lib/HTML160.xsl"/>
    <xsl:include href="Lib/HTML170.xsl"/>
    <xsl:include href="Lib/HTML180.xsl"/>
    <xsl:include href="Lib/HTML190.xsl"/>
    <xsl:include href="Lib/HTML200.xsl"/>
    <!--
    ========== Génération du fichier XHTML ==========
    -->
    <xsl:template match="/tif:OI">
        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
            <head>
                <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
                <meta name="author" content="TOURINFRANCE"/>
                <meta name="robots" content="all"/>
                <title>Format TourinFrance V3.11 - Fiche objet</title>
                <!-- css -->
                <link rel="stylesheet" type="text/css" href="css/GenFicheXHtml1.css"/>
                <!-- javascript : comment necessaire pour compat. ie -->
                <script type="text/javascript" src="css/GenFiche.js">
                    <xsl:comment/>
                </script>
            </head>
            <body>
                <!--
                ========== Panel général ==========
                -->
                <div id="TIF-container">
                    <!--
                    ========== Panel en-tête ==========
                    -->
                    <div id="TIF-top">
                        <h1>Norme V3.11 - Exemple de fiche objet d'information</h1>
                        <div id="TIF-copyright">
                            <p>&#169; 2004-2005 <a href="http://www.tourinfrance.net" title="">TourinFrance</a>
                            </p>
                        </div>
                        <h2>
                            <xsl:value-of select="tif:DublinCore/dc:title"/>
                        </h2>
                    </div>
                    <!--
                    ========== Panel gauche ==========
                    -->
                    <div id="TIF-leftnav">
                        <div id="TIF-nav">
                            <div id="TIF-ShowAll" style="display:block">
                                <a href="javascript:grShowAll()" title="">
                                    <img border="0" src="images/expandall.gif" id="TIF-ShowAllBut"/>
                                </a>
                            </div>
                            <div id="TIF-ShowAllTxt">
                                <p>Développer tous les granules</p>
                            </div>
                            <div id="TIF-HiddeAll" style="display:block">
                                <a href="javascript:grHiddeAll()" title="">
                                    <img border="0" src="images/collapseall.gif" id="TIF-HiddeAllBut"/>
                                </a>
                            </div>
                            <div id="TIF-HiddeAllTxt" style="display:block">
                                <p>Réduire tous les granules</p>
                            </div>
                        </div>
                        <ul id="TIF-navlist">
                            <li>
                                <a href="javascript:grAlter('DublinCore','DublinCoreBut')" title="">
                                    <img border="0" src="images/plus.gif" id="DublinCoreBut"/>1. DublinCore</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Update','UpdateBut')" title="">
                                    <img border="0" src="images/plus.gif" id="UpdateBut"/>2. Update</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Multimedia','MultimediaBut')" title="">
                                    <img border="0" src="images/plus.gif" id="MultimediaBut"/>3. Multimedia</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Contacts','ContactsBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ContactsBut"/>4. Contacts</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('InformationsLegales','InformationsLegalesBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="InformationsLegalesBut"/>5. Informations Légales</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Classements','ClassementsBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ClassementsBut"/>6. Classements</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('PrestationsLiees','PrestationsLieesBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="PrestationsLieesBut"/>7. Prestations Liées</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('Geolocalisations','GeolocalisationsBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="GeolocalisationsBut"/>8. Géolocalisations</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Periodes','PeriodesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="PeriodesBut"/>9. Périodes</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Clienteles','ClientelesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ClientelesBut"/>10. Clientèles</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Langues','LanguesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="LanguesBut"/>11. Langues</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('ModesReservations','ModesReservationsBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="ModesReservationsBut"/>12. Modes de Réservations</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Tarifs','TarifsBut')" title="">
                                    <img border="0" src="images/plus.gif" id="TarifsBut"/>13. Tarifs</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Capacites','CapacitesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="CapacitesBut"/>14. Capacités</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('OffresPrestations','OffresPrestationsBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="OffresPrestationsBut"/>15. Offres de Prestations</a>
                            </li>
                            <li>
                                <a
                                    href="javascript:grAlter('DescriptionsComplementaires','DescriptionsComplementairesBut')" title="">
                                    <img border="0" src="images/plus.gif"
                                    id="DescriptionsComplementairesBut"/>16. Descriptions Compl.</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Thesaurus','ThesaurusBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ThesaurusBut"/>17. Thésaurus</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Itineraires','ItinerairesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ItinerairesBut"/>18. Itinéraires</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Plannings','PlanningsBut')" title="">
                                    <img border="0" src="images/plus.gif" id="PlanningsBut"/>19. Plannings</a>
                            </li>
                            <li>
                                <a href="javascript:grAlter('Images','ImagesBut')" title="">
                                    <img border="0" src="images/plus.gif" id="ImagesBut"/>&gt; Images</a>
                            </li>
                        </ul>
                    </div>
                    <!--
                    ========== Panel droit ==========
                    -->
                    <div id="TIF-rightnav">
                        <p/>
                    </div>
                    <!--
                    ========== Panel contenu ==========
                    -->
                    <div id="TIF-content">
                        <!--
                        Génération du granule DublinCore
                        -->
                        <div style="display:none" id="DublinCore">
                            <xsl:call-template name="HTML010"/>
                        </div>
                        <!--
                        Génération du granule Update 
                        -->
                        <div style="display:none" id="Update">
                            <xsl:call-template name="HTML020"/>
                        </div>
                        <!--
                        Génération du granule Multimedia 
                        -->
                        <div style="display:none" id="Multimedia">
                            <xsl:call-template name="HTML030"/>
                        </div>
                        <!--
                        Génération du granule Contacts 
                        -->
                        <div style="display:none" id="Contacts">
                            <xsl:call-template name="HTML040"/>
                        </div>
                        <!--
                        Génération du granule InformationsLegales 
                        -->
                        <div style="display:none" id="InformationsLegales">
                            <xsl:call-template name="HTML050"/>
                        </div>
                        <!--
                        Génération du granule Classements 
                        -->
                        <div style="display:none" id="Classements">
                            <xsl:call-template name="HTML060"/>
                        </div>
                        <!--
                        Génération du granule PrestationsLiees 
                        -->
                        <div style="display:none" id="PrestationsLiees">
                            <xsl:call-template name="HTML070"/>
                        </div>
                        <!--
                        Génération du granule Geolocalisations 
                        -->
                        <div style="display:none" id="Geolocalisations">
                            <xsl:call-template name="HTML080"/>
                        </div>
                        <!--
                        Génération du granule Periodes 
                        -->
                        <div style="display:none" id="Periodes">
                            <xsl:call-template name="HTML090"/>
                        </div>
                        <!--
                        Génération du granule Clienteles 
                        -->
                        <div style="display:none" id="Clienteles">
                            <xsl:call-template name="HTML100"/>
                        </div>
                        <!--
                        Génération du granule Langues 
                        -->
                        <div style="display:none" id="Langues">
                            <xsl:call-template name="HTML110"/>
                        </div>
                        <!--
                        Génération du granule ModesReservations 
                        -->
                        <div style="display:none" id="ModesReservations">
                            <xsl:call-template name="HTML120"/>
                        </div>
                        <!--
                        Génération du granule Tarifs 
                        -->
                        <div style="display:none" id="Tarifs">
                            <xsl:call-template name="HTML130"/>
                        </div>
                        <!--
                        Génération du granule Capacites 
                        -->
                        <div style="display:none" id="Capacites">
                            <xsl:call-template name="HTML140"/>
                        </div>
                        <!--
                        Génération du granule OffresPrestations 
                        -->
                        <div style="display:none" id="OffresPrestations">
                            <xsl:call-template name="HTML150"/>
                        </div>
                        <!--
                        Génération du granule DescriptionsComplementaires 
                        -->
                        <div style="display:none" id="DescriptionsComplementaires">
                            <xsl:call-template name="HTML160"/>
                        </div>
                        <!--
                        Génération du granule Thesaurus 
                        -->
                        <div style="display:none" id="Thesaurus">
                            <xsl:call-template name="HTML170"/>
                        </div>
                        <!--
                        Génération du granule Itineraires 
                        -->
                        <div style="display:none" id="Itineraires">
                            <xsl:call-template name="HTML180"/>
                        </div>
                        <!--
                        Génération du granule Plannings 
                        -->
                        <div style="display:none" id="Plannings">
                            <xsl:call-template name="HTML190"/>
                        </div>
                        <!--
                        Génération des images 
                        -->
                        <div style="display:none" id="Images">
                            <xsl:call-template name="HTML200"/>
                        </div>
                    </div>
                </div>
            </body>
        </html>
        <!-- -->
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
