<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <!-- ========== Templates Génériques ========== -->
    <!-- displayIds -->
    <xsl:template name="displayIds">
        <xsl:param name="id"/>
        <xsl:param name="idref"/>
        <xsl:if test="$id!='' ">
            <span style="color:#3da82e; font-weight:normal; margin-left:10px;">
                <xsl:text>id:</xsl:text>
                <xsl:value-of select="$id"/>
            </span>
        </xsl:if>
        <xsl:if test="$idref!='' ">
            <span style="color:#3da82e; font-weight:normal; margin-left:10px;">
                <xsl:text>idref:</xsl:text>
                <xsl:value-of select="$idref"/>
            </span>
        </xsl:if>
    </xsl:template>
    <!-- niveau h2 -->
    <xsl:template name="displayElement2">
        <xsl:param name="label"/>
        <xsl:param name="value"/>
        <xsl:if test="$value!='' ">
            <div id="eltValueDiv">
                <div>
                    <!--<xsl:attribute name="xmlns" namespace=""/>-->
                    <xsl:attribute name="class" namespace="">eltRow</xsl:attribute>
                    <span class="eltLabel2">
                        <xsl:value-of select="$label"/>
                    </span>
                    <xsl:if test="$value!='' ">
                        <span class="eltValue2">
                            <xsl:value-of select="$value"/>
                        </span>
                    </xsl:if>
                    <xsl:if test="$value='' ">
                        <span class="eltValue2"> - </span>
                    </xsl:if>
                </div>
            </div>
        </xsl:if>
    </xsl:template>
    <!-- niveau h3 -->
    <xsl:template name="displayElement3">
        <xsl:param name="label"/>
        <xsl:param name="value"/>
        <xsl:if test="$value!='' ">
            <div id="eltValueDiv">
                <div>
                    <!--<xsl:attribute name="xmlns" namespace=""/>-->
                    <xsl:attribute name="class" namespace="">eltRow</xsl:attribute>
                    <span class="eltLabel3">
                        <xsl:value-of select="$label"/>
                    </span>
                    <xsl:if test="$value!='' ">
                        <span class="eltValue3">
                            <xsl:value-of select="$value"/>
                        </span>
                    </xsl:if>
                    <xsl:if test="$value='' ">
                        <span class="eltValue3"> - </span>
                    </xsl:if>
                </div>
            </div>
        </xsl:if>
    </xsl:template>
    <!-- niveau h4 -->
    <xsl:template name="displayElement4">
        <xsl:param name="label"/>
        <xsl:param name="value"/>
        <xsl:if test="$value!='' ">
            <div id="eltValueDiv">
                <div>
                    <!--<xsl:attribute name="xmlns" namespace=""/>-->
                    <xsl:attribute name="class" namespace="">eltRow</xsl:attribute>
                    <span class="eltLabel4">
                        <xsl:value-of select="$label"/>
                    </span>
                    <xsl:if test="$value!='' ">
                        <span class="eltValue4">
                            <xsl:value-of select="$value"/>
                        </span>
                    </xsl:if>
                    <xsl:if test="$value='' ">
                        <span class="eltValue4"> - </span>
                    </xsl:if>
                </div>
            </div>
        </xsl:if>
    </xsl:template>
    <!-- niveau h5 -->
    <xsl:template name="displayElement5">
        <xsl:param name="label"/>
        <xsl:param name="value"/>
        <xsl:if test="$value!='' ">
            <div id="eltValueDiv">
                <div>
                    <!--<xsl:attribute name="xmlns" namespace=""/>-->
                    <xsl:attribute name="class" namespace="">eltRow</xsl:attribute>
                    <span class="eltLabel5">
                        <xsl:value-of select="$label"/>
                    </span>
                    <xsl:if test="$value!='' ">
                        <span class="eltValue5">
                            <xsl:value-of select="$value"/>
                        </span>
                    </xsl:if>
                    <xsl:if test="$value='' ">
                        <span class="eltValue5"> - </span>
                    </xsl:if>
                </div>
            </div>
        </xsl:if>
    </xsl:template>
    <!-- niveau h6 -->
    <xsl:template name="displayElement6">
        <xsl:param name="label"/>
        <xsl:param name="value"/>
        <xsl:if test="$value!='' ">
            <div id="eltValueDiv">
            <div>
                <!--<xsl:attribute name="xmlns" namespace=""/>-->
                <xsl:attribute name="class" namespace="">eltRow</xsl:attribute>
                <span class="eltLabel6">
                    <xsl:value-of select="$label"/>
                </span>
                <xsl:if test="$value!='' ">
                    <span class="eltValue6">
                        <xsl:value-of select="$value"/>
                    </span>
                </xsl:if>
                <xsl:if test="$value='' ">
                    <span class="eltValue6"> - </span>
                </xsl:if>
            </div>
            </div>
        </xsl:if>
    </xsl:template>
    <!-- image -->
    <xsl:template name="displayImage">
        <xsl:param name="value"/>
        <div id="image">
            <xsl:if test="$value!='' ">
                <img>
                    <xsl:attribute name="border" namespace="">0</xsl:attribute>
                    <xsl:attribute name="src" namespace="">
                        <xsl:text>../images/</xsl:text>
                        <xsl:value-of select="$value"/>
                    </xsl:attribute>
                </img>
            </xsl:if>
        </div>
    </xsl:template>
    <!-- -->
    <!-- ************************************************************************************************************************** -->
</xsl:stylesheet>
