<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML030">
        <h1>3. Granule Multimedia <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Multimedia/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Multimedia/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <xsl:for-each select="tif:Multimedia/tif:DetailMultimedia">
            <!-- -->
            <h2>Détail Multimedia <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (type: <xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">URL</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:URL"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Nom</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Nom"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">LegendeRessource</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:LegendeRessource"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">TailleRessource</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:TailleRessource)!='' ">
                        <xsl:value-of select="./tif:TailleRessource"/>
                        <xsl:text> (unité: </xsl:text>
                        <xsl:value-of select="./tif:TailleRessource/@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Largeur</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Largeur)!='' ">
                        <xsl:value-of select="./tif:Largeur"/>
                        <xsl:text> (unité: </xsl:text>
                        <xsl:value-of select="./tif:Largeur/@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Hauteur</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Hauteur)!='' ">
                        <xsl:value-of select="./tif:Hauteur"/>
                        <xsl:text> (unité: </xsl:text>
                        <xsl:value-of select="./tif:Hauteur/@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Duree</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Duree)!='' ">
                        <xsl:value-of select="./tif:Duree"/>                        
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">TypeMime</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TypeMime"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Copyright</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Copyright"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Observations</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationMultimedia"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
