<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML060">
        <h1>6. Granule Classements<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Classements/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Classements/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <xsl:for-each select="tif:Classements/tif:DetailClassement">
            <!-- -->
            <h2>Detail Classement <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (type: <xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Classement</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Classement)!='' or normalize-space(./tif:Classement/@type)!='' ">
                        <xsl:value-of select="./tif:Classement"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./tif:Classement/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Date de classement</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:DateClassement"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">N° de classement</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:NumeroClassement"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Thème</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Theme"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Observations</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationDetailClassement"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
