<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML100">
        <h1>10. Granule Clientèles<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Clienteles/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Clienteles/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailClienteles -->
        <!-- -->
        <xsl:for-each select="tif:Clienteles/tif:DetailClienteles">
            <!-- -->
            <h2>Clientèles <xsl:value-of select="position()"/> : <xsl:value-of select="@libelle"/>
                    (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <!-- DetailClient -->
            <!-- -->
            <xsl:for-each select="./tif:DetailClient">
                <h3>Client <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="@libelle"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nom</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Nom"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Groupe de référence</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:GroupeRef"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nombre de personnes min.</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:NbPersMin"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nombre de personnes max.</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:NbPersMax"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Age minimum</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:AgeMin"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Age maximum</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:AgeMax"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <!-- DetailClient -->
            </xsl:for-each>
            <!-- -->
            <!-- DetailClienteles -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
