<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML120">
        <h1>12. Granule Modes de réservations<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:ModesReservations/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:ModesReservations/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailModeReservation -->
        <!-- -->
        <xsl:for-each select="tif:ModesReservations/tif:DetailModeReservation">
            <!-- -->
            <h2>Mode de réservation <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="@libelle"/>
                    <xsl:text> (type: </xsl:text>
                    <xsl:value-of select="./@type"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Obligatoire</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Obligatoire"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Observations</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationModeReservation"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:if test="./tif:Contacts != '' or ./tif:Contacts/@idref != '' ">
                <h3>Liste des contacts 
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:Contacts/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:Contacts/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <xsl:if test="./tif:Contacts/tif:DetailContact/@type != '' ">
                    <xsl:for-each select="./tif:Contacts/tif:DetailContact">
                        <h4>Detail Contact <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h4>
                        <!-- -->
                        <xsl:call-template name="displayElement4">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:text>libelle: </xsl:text>
                                <xsl:value-of select="./@libelle"/>
                                <xsl:text>, type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </xsl:for-each>
                </xsl:if>
            </xsl:if>
            <!-- -->
            <!-- DetailModeReservation -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
