<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML130">
        <h1>13. Granule Tarifs<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Tarifs/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Tarifs/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- ModesPaiement -->
        <!-- -->
        <h2>Liste des modes de paiement <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Tarifs/tif:ModesPaiement/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Tarifs/tif:ModesPaiement/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- -->
        <!-- ModePaiement -->
        <!-- -->
        <xsl:for-each select="tif:Tarifs/tif:ModesPaiement/tif:ModePaiement">
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Mode de paiement</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(.)!='' or normalize-space(./@type)!='' ">
                        <xsl:value-of select="."/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:for-each>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">Observations</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:Tarifs/tif:ModesPaiement/tif:ObservationModePaiement"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <!-- TarifsMultimedia -->
        <!-- -->
        <h2>Liste des tarifs multimedia<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Tarifs/tif:TarifsMultimedia/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Tarifs/tif:TarifsMultimedia/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- -->
        <!-- DetailTarifMultimedia -->
        <!-- -->
        <xsl:for-each select="tif:Tarifs/tif:TarifsMultimedia/tif:DetailTarifMultimedia">
            <!-- -->
            <h2>Tarif multimedia<xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text>libelle: </xsl:text>
                    <xsl:value-of select="./@libelle"/>
                    <xsl:text> devise:</xsl:text>
                    <xsl:value-of select="./@devise"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <h3>Detail Multimedia <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./DetailMultimedia/@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./DetailMultimedia/@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
        </xsl:for-each>
        <!-- -->
        <!-- DetailTarifs -->
        <!-- -->
        <h2>Liste des tarifs<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Tarifs/tif:DetailTarifs/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Tarifs/tif:DetailTarifs/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- DetailTarif -->
        <xsl:for-each select="tif:Tarifs/tif:DetailTarifs/tif:DetailTarif">
            <!-- -->
            <h3>Tarif <xsl:value-of select="position()"/>
                <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./@libelle"/> (type: <xsl:value-of select="./@type"/>) </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Nom</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Nom"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif de référence</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TarifRef"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif standard</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TarifStandard"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif minimum</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TarifMin"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif maximum</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TarifMax"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif mode</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:TarifMode)!='' or normalize-space(./tif:TarifMode/@type)!='' ">
                        <xsl:value-of select="./tif:TarifMode"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./tif:TarifMode/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif devise</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:TarifDevise)!='' or normalize-space(./tif:TarifDevise/@type)!='' ">
                        <xsl:value-of select="./tif:TarifDevise"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./tif:TarifDevise/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif TVA</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:TarifTVA)!='' or normalize-space(./tif:TarifTVA/@type)!='' ">
                        <xsl:value-of select="./tif:TarifTVA"/>
                        <xsl:text> (taux: </xsl:text>
                        <xsl:value-of select="./tif:TarifTVA/@taux"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Tarif tranche</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:TarifTranche"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- DetailClient  -->
            <xsl:if test="./tif:DetailClient/@idref != '' ">
                <h3>Detail Client <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:DetailClient/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:DetailClient/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:text>libelle: </xsl:text>
                        <xsl:value-of select="./tif:DetailClient/@libelle"/>
                        <xsl:text> type: </xsl:text>
                        <xsl:value-of select="./tif:DetailClient/@type"/>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <!-- DetailPrestation  -->
            <xsl:if test="./tif:DetailPrestation/@idref != '' ">
                <h3>Detail Prestation <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:DetailPrestation/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:DetailPrestation/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:text>libelle: </xsl:text>
                        <xsl:value-of select="./tif:DetailPrestation/@libelle"/>
                        <xsl:text> type: </xsl:text>
                        <xsl:value-of select="./tif:DetailPrestation/@type"/>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <!-- DetailPeriode  -->
            <xsl:if test="./tif:DetailPeriode/@idref != '' ">
                <h3>Detail Periode <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:DetailPeriode/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:DetailPeriode/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:text>libelle: </xsl:text>
                        <xsl:value-of select="./tif:DetailPeriode/@libelle"/>
                        <xsl:text> type: </xsl:text>
                        <xsl:value-of select="./tif:DetailPeriode/@type"/>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Montant pourcentage</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:MontantPourcent)!='' or normalize-space(./tif:MontantPourcent/@type)!='' ">
                        <xsl:value-of select="./tif:MontantPourcent"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./tif:MontantPourcent/@type"/>
                        <xsl:text>) </xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Description</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:DescriptionTarif"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
