<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML180">
        <h1>18. Granule Itinéraires<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Itineraires/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Itineraires/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailItineraire -->
        <!-- -->
        <xsl:for-each select="tif:Itineraires/tif:DetailItineraire">
            <!-- -->
            <h2>Itinéraire <xsl:value-of select="position()"/> : <xsl:value-of select="@libelle"/>
                    (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="@libelle"/>
                    <xsl:text> (type: </xsl:text>
                    <xsl:value-of select="./@type"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Denivelé</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Denivele)!=''  ">
                        <xsl:value-of select="./tif:Denivele"/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./tif:Denivele/@libelle"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./tif:Denivele/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Distance</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Distance)!=''  ">
                        <xsl:value-of select="./tif:Distance"/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./tif:Distance/@libelle"/>
                        <xsl:text> (unite: </xsl:text>
                        <xsl:value-of select="./tif:Distance/@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Altitude min.</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:AltitudeMini"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Altitude max.</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:AltitudeMaxi"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Durée</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Duree)!=''  ">
                        <xsl:value-of select="./tif:Duree"/>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Zone</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Zone"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Description</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:DescriptionItineraire"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <!-- DetailItineraire -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
